Subject: bug#20930: 25.0.50; Package archive priorities not honored for upgrades

From: Artur Malabarba <[email-masked]>
Date: Mon, 29 Jun 2015 19:16:48 +0100

Small sanity check. What are your values for the variables
`package-menu-hide-low-priority' and `package-menu--hide-packages'?

2015-06-29 17:50 GMT+01:00 Greg Lucas <[email-masked]>:
>
> The new package archive priorities to not appear to be honored when I
> check for available upgrades.
>
> Steps to reproduce:
>
> 1. Start emacs -Q
>
> 2. configure-group package
>
>  -  Add melpa and melpa-stable to package-archives:
>
>     (("gnu" . "http://elpa.gnu.org/packages/")
>      ("melpa-stable" . "http://stable.melpa.org/packages/")
>      ("melpa" . "http://melpa.org/packages/"))
>
>  -  Set priorities with melpa-stable highest:
>
>     (("melpa-stable" . 20))
>
> 3. list-packages and install something from melpa-stable for which there
> is a newer version on melpa. In my test: ace-jump-mode v2.0.
>
>   ace-jump-mode      2.0           installed
>
> 4. Check for upgrades; get prompted to upgrade to melpa version:
>
> I ace-jump-mode      20140616.115  available  melpa
> D ace-jump-mode      2.0           installed
>
> Since melpa has priority 0 and melpa-stable has priority 20, I would
> expect this upgrade not to be included. In my current setup I have a
> dozen or so packages from the gnu and melpa-stable archives and am
> prompted to update all of them.
>
>
>
>
> In GNU Emacs 25.0.50.1 (x86_64-w64-mingw32)
>  of 2015-06-19 on KAEL
> Repository revision: f95211e9a40b1c7d1beff0e15aa67450f80bd8bb
> Windowing system distributor `Microsoft Corp.', version 6.3.9600
> Configured using:
>  `configure --prefix=/z/emacs --host=x86_64-w64-mingw32
>  --target=x86_64-w64-mingw32 --build=x86_64-w64-mingw32 --with-wide-int
>  --with-jpeg --with-xpm --with-png --with-tiff --with-rsvg --with-xml2
>  --with-gnutls --with-sound=yes --with-file-notification=yes
>  --without-dbus --without-imagemagick 'CFLAGS=-O3 -fomit-frame-pointer
>  -g0 -pipe' 'LDFLAGS=-static-libgcc -static-libstdc++ -static -s
>  -Wl,-s''
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
> TOOLKIT_SCROLL_BARS
>
> Important settings:
>   value of $LANG: ENU
>   locale-coding-system: cp1252
>
> Major mode: Package Menu
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent messages:
> Type C-x 1 to delete the help window.
> Quit
> Importing package-keyring.gpg...done
> Package refresh done
> 12 packages can be upgraded; type `U' to mark them for upgrading.
> M-o C-x 1 is undefined
> Quit [2 times]
> 12 packages marked for upgrading.
> Making completion list...
> Quit
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
> mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader
> sendmail pp help-mode package-x misearch multi-isearch mail-utils
> network-stream nsm starttls url-http tls mail-parse rfc2231 rfc2047
> rfc2045 ietf-drums url-gw url-cache url-auth url url-proxy url-privacy
> url-expand url-methods url-history url-cookie url-domsuf url-util
> url-parse auth-source cl-macs cl-seq eieio byte-opt gv bytecomp
> byte-compile cl-extra seq cconv eieio-core gnus-util mm-util mail-prsvr
> password-cache url-vars mailcap epg finder-inf package epg-config
> help-fns cus-edit easymenu cus-start cus-load wid-edit cl-loaddefs pcase
> cl-lib time-date mule-util tooltip eldoc electric uniquify ediff-hook
> vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table w32-win
> w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
> tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
> menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
> cp51932 hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
> simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
> cus-face macroexp files text-properties overlay sha1 md5 base64 format
> env code-pages mule custom widget hashtable-print-readable backquote
> w32notify w32 multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 751841 24023)
>  (symbols 56 25662 0)
>  (miscs 48 722 215)
>  (strings 32 68718 9681)
>  (string-bytes 1 1511638)
>  (vectors 16 23760)
>  (vector-slots 8 536819 5652)
>  (floats 8 204 257)
>  (intervals 56 89643 864)
>  (buffers 976 17))
>
>
>